/*
 * TSChartDrawingSupplier.java
 */

package de.pdv_systeme.TSChart;

import org.jfree.chart.plot.DefaultDrawingSupplier;

/**
 * Drawing Supplier for the TSChart
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public class TSChartDrawingSupplier
        extends DefaultDrawingSupplier {
    
    /**
     * Creates a new instance of TSChartDrawingSupplier
     * @param prop the TSChart property
     */
    public TSChartDrawingSupplier(TSChartProperty prop) {
        super(
                prop.plotSeriesColor,
                prop.plotSeriesColor,
                prop.plotSeriesStroke,
                DefaultDrawingSupplier.DEFAULT_OUTLINE_STROKE_SEQUENCE,
                DefaultDrawingSupplier.DEFAULT_SHAPE_SEQUENCE
                );
    }
    
}
