/*
 * UnknownFileFormatException.java
 */

package de.pdv_systeme.DataCollection;

/**
 * Unchecked exception
 * thrown if a file does not have a recognized file format
 *
 * @author <a href="mailto:mv@pdv-systeme.de">Martin Vorlnder</a>
 */
public class UnknownFileFormatException extends RuntimeException {
    
    /** Construct a new UnknownFileFormatException. */
    public UnknownFileFormatException() { super(); }

    /**
     * Construct a new UnknownFileFormatException.
     * @param msg  the detail message
     */
    public UnknownFileFormatException(String msg) { super(msg); }
}
